> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Global Payroll** → [Create a Global Payroll worker](/api/reference/endpoints/global-payroll/create-gp-worker-v-2026-10-01): Endpoint is now available, which allows to create a Global Payroll worker and their contract in a single call.

* **Global Payroll** → [Retrieve the Global Payroll worker creation schema](/api/reference/endpoints/global-payroll/retrieve-gp-worker-creation-schema-v-2026-10-01): Endpoint is now available, which allows to retrieve the fields accepted by the Global Payroll worker creation endpoint, including required status, permitted values, and validation rules.

* **Organizations** → [Add admins to child organizations](/api/reference/endpoints/organizations/add-child-organization-admins-v-2026-10-12): Endpoint is now available, which allows to add multiple admins to child organizations in one call.

* **Global Payroll** → [Get payroll activation readiness for a legal entity](/api/reference/endpoints/global-payroll/get-payroll-activations-v-2026-10-12): Endpoint is now available, which allows to check whether a legal entity has reached payroll activation readiness.

## Changed

* **Ats Applications** → [Retrieve ATS application](/api/reference/endpoints/ats-applications/retrieve-ats-application-v-2026-01-01): Added `EXPIRED` to the `offer_status_enum` response field that indicates an offer has expired.

* **Eor Contract** → [Create an EOR contract](/api/reference/endpoints/eor-contract/create-e-o-r-contract): Added `job_code` and `job_category` to the response that provide the country-specific occupation code and the job category assigned to the role.

* **Legal Entities** → [List of legal entities](/api/reference/endpoints/legal-entities/get-legal-entities): Added `status` field to each item in the response that provides the mapped legal entity lifecycle status.

* **People** → [Retrieve a single person](/api/reference/endpoints/people/get-person-by-id): Added `person_status` and `lifecycle_status` to the response that provide the person profile status and work lifecycle stage respectively; also added `middle_name` and other new response fields.

* **Organizations** → [Create child organization](/api/reference/endpoints/organizations/create-organization-child): Added optional `parent_admin_emails` and `child_admins` arrays to the request, allowing callers to specify parent organization admins and child organization admins when creating a child organization.

* **Onboarding** → [Get onboarding details by employee HRIS profile ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-employee-hris-profile-id-v-2026-01-01): Added `banner`, `actions`, `contracts`, and `app_experience` fields to the response, and expanded `profile`, `stepper`, `contract`, `progress`, `checklist`, and `hris_profile` with additional sub-fields.

* **Onboarding** → [Get onboarding details by onboarding tracker ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01): Added `banner`, `actions`, `contracts`, and `app_experience` to the response, and extended `profile`, `stepper`, `contract`, `progress`, `checklist`, and `hris_profile` with additional sub-fields.

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `lifecycleStatuses`, `waitingOnParties`, `card`, `weekFromDate`, and `weekToDate` query parameters for filtering; added `profile`, `overview`, `contracts`, `pending_steps`, `invitation_sent`, and `can_send_invitation` to each response item; and expanded `contract`, `progress`, `hris_profile`, and `app_experience` with additional sub-fields.

* **Eor Offboarding** → [Retrieve Offboarding Request](/api/reference/endpoints/eor-offboarding/get-contract-offboarding): Added new values to the `reason` field in the `request_data` response, including `WORKER_TYPE_CHANGE`, `DISSATISFIED_WITH_DEEL_SERVICE`, `DISSATISFIED_WITH_DEEL_PRICING`, `DISSATISFIED_WITH_DEEL_PRODUCT`, `DEEL_COLLECTIONS`, and additional employee departure reason codes.

* **Time Off** → [Create time-off request](/api/reference/endpoints/time-off/create-time-off-request): Added `custom_field_values` to the request and response that allows submitting and retrieving answers to custom fields declared by the time-off policy.

* **Time Off** → [Validate time-off request](/api/reference/endpoints/time-off/validate-time-off): Added `custom_field_values` to the request and `custom_fields` and `custom_field_validation_results` to the response to support submitting and validating custom field answers declared by the time-off policy.

* **Time Off** → [List time-off requests for Organization](/api/reference/endpoints/time-off/list-time-off-requests-for-organization-v-2026-01-01): Added `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave` as accepted values for the `policy_type_names` filter parameter.

* **Time Off** → [List policies](/api/reference/endpoints/time-off/get-time-off-policies): Added `has_custom_fields`, `is_requiring_custom_fields`, and `custom_fields` to the response, and expanded the `policy_type_name` query parameter with additional allowed values.

* **Time Off** → [Process time-off requests from an external HRIS](/api/reference/endpoints/time-off/sync-time-off-global-payroll): Added new accepted values to `policy_type` in the request: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, `Shared parental leave`, and `Work Location`.

* **Time Off** → [Get Profile Entitlements](/api/reference/endpoints/time-off/get-time-off-entitlements): Added five new values to the `policy_type_name` filter: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave`.

* **Time Off** → [List time-off requests](/api/reference/endpoints/time-off/get-time-off-profile): Added `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave` as accepted values for the `policy_type_names` filter parameter.

* **Time Off** → [Get Policies for Organization](/api/reference/endpoints/time-off/get-policies-for-organization-v-2026-09-09): Added five UK family leave types to the `policy_type` filter: `Bereaved partner's paternity leave`, `Carer's leave`, `Neonatal care leave`, `Parental bereavement leave`, and `Shared parental leave`.

* **Ats Locations** → [Retrieve a list of ATS locations](/api/reference/endpoints/ats-locations/retrieve-a-list-of-ats-locations-v-2026-01-01): Added `include_archived` query parameter to include archived locations in the response, and added `archived_at` response field indicating when a location was archived.

* **Ats Tags** → [List tags](/api/reference/endpoints/ats-tags/list-tags-v-2026-02-27): Added `include_archived` query parameter to include archived tags in the response, and added `archived_at` field to the response that indicates when a tag was archived.

* **Ats Departments** → [Retrieve a list of ATS departments](/api/reference/endpoints/ats-departments/retrieve-a-list-of-ats-departments): Added `include_archived` query parameter to include archived departments in the response, and added `archived_at` response field indicating when a department was archived.

* **Ats Reasons** → [Retrieve paginated list of ATS Rejection/Archivation reasons](/api/reference/endpoints/ats-reasons/retrieve-paginated-list-of-ats-rejection-archivation-reasons-v-2026-01-01): Added `include_archived` query parameter to include archived reasons in the response, and added `archived_at` response field indicating when a reason was archived.

* **Ats** → [Retrieve a list of ATS teams](/api/reference/endpoints/ats/retrieve-a-list-of-ats-teams-v-2026-06-24): Added `include_archived` query parameter to include archived teams in the response, and added `archived_at` response field indicating when a team was archived.

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `jobProfile` field in the response that provides the worker's active job profile from job architecture, and `departmentCustomFields` field that provides org-structure custom fields for the department node.

* **Users** → [Retrieve a single User](/api/reference/endpoints/users/get-user-by-id): Added `jobProfile` field in the response that provides the worker's active job profile from job architecture, and `departmentCustomFields` field that provides org-structure custom fields for the department node.